Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

Cannot resolve the collation conflict between "Latin1_General_CI_AS" and "SQL_Latin1_General_CP1_CI_AS" in the UNION operation.

Cannot resolve the collation conflict between "Latin1_General_CI_AS" and "SQL_Latin1_General_CP1_CI_AS" in the UNION operation.

Version

7.2.x.

 

Issue

Patch upgrade on 7.2 was successful but there’s a warning in regards to the different SQL collation on the SQL instance and the DAS database.

 

Symptoms

This shows on the Bit9 server upgrade log:

 

WARNING: The recommended SQL permissions are not available. Please grant the following permissions to the SQL login used for the product:

Cannot resolve the collation conflict between "Latin1_General_CI_AS" and "SQL_Latin1_General_CP1_CI_AS" in the UNION operation.

The recommended permissions should be granted as soon as possible after installation.

 

Cause

The collation on the SQL instance is Latin1_General_CI_AS and the collation on the DAS database is SQL_Latin1_General_CP1_CI_AS.

 

Solution

The warning message can be ignored. The upgrade is successful as long as the DAS database is using SQL_Latin1_General_CP1_CI_AS collation. The difference on the collation will be addressed on 7.2 patch 7.

Labels (1)
Was this article helpful? Yes No
No ratings
Article Information
Author:
Creation Date:
‎01-16-2015
Views:
805
Contributors